Bug 828410 - SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /etc/passwd.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /etc/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:aef2112fca100be872d47d1d1cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 13:40 EDT by Nicolas Mailhot
Modified: 2012-09-17 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2012-06-04 13:40:27 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.0-0.rc1.git0.1.fc18.x86_64
time:           lun. 04 juin 2012 19:28:46 CEST

description:
:SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed getattr access on the passwd file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:ddclient_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        sh
:Source Path                   /usr/bin/bash
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           bash-4.2.29-2.fc18.x86_64
:Target RPM Packages           setup-2.8.54-1.fc18.noarch
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.0-0.rc1.git0.1.fc18.x86_64 #1
:                              SMP Sun Jun 3 14:07:54 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    lun. 04 juin 2012 19:17:41 CEST
:Last Seen                     lun. 04 juin 2012 19:17:41 CEST
:Local ID                      b229552e-a26b-45e7-be20-1cc976f4e378
:
:Raw Audit Messages
:type=AVC msg=audit(1338830261.141:170): avc:  denied  { getattr } for  pid=984 comm="sh" path="/etc/passwd" dev="dm-1" ino=6008 scontext=system_u:system_r:ddclient_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338830261.141:170): arch=x86_64 syscall=fstat success=yes exit=0 a0=3 a1=7fff0220d650 a2=7fff0220d650 a3=0 items=0 ppid=979 pid=984 auid=4294967295 uid=474 gid=468 euid=474 suid=474 fsuid=474 egid=468 sgid=468 fsgid=468 tty=(none) ses=4294967295 comm=sh exe=/usr/bin/bash subj=system_u:system_r:ddclient_t:s0 key=(null)
:
:Hash: sh,ddclient_t,passwd_file_t,file,getattr
:
:audit2allow
:
:#============= ddclient_t ==============
:allow ddclient_t passwd_file_t:file getattr;
:
:audit2allow -R
:
:#============= ddclient_t ==============
:allow ddclient_t passwd_file_t:file getattr;
:
Comment 1 Miroslav Grepl 2012-06-22 06:55:59 EDT
Fixed in selinux-policy-3.10.0-133.fc17.noarch
Comment 2 Fedora Update System 2012-08-29 07:51:20 EDT
selinux-policy-3.11.1-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-14.fc18
Comment 3 Fedora Update System 2012-08-29 14:44:36 EDT
Package selinux-policy-3.11.1-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12934/selinux-policy-3.11.1-14.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 19:34:08 EDT
selinux-policy-3.11.1-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.